<?php 

/**
* Входящий платеж
*/

if (isset($_POST['InvId'])) {
  
  $set_paytype = $payment->getSettings('robokassa');

  // Result
  $robox_r1 = strtoupper($_POST['SignatureValue']);
  $robox_r2  = strtoupper(md5($_POST['OutSum'] .':'. $_POST['InvId'] .':'. $set_paytype['PAYMENT']['sMerchantPass2'] .':shp_service='. $_POST['shp_service'] .':shp_service_id='. $_POST['shp_service_id']));
  
  // Success
  $robox_s1 = strtoupper($_POST['SignatureValue']);
  $robox_s2  = strtoupper(md5($_POST['OutSum'] .':'. $_POST['InvId'] .':'. $set_paytype['PAYMENT']['sMerchantPass1'] .':shp_service='. $_POST['shp_service'] .':shp_service_id='. $_POST['shp_service_id']));
  
  $checkPOST = array(
                  'id' => $_POST['InvId'], 
                  'service' => $_POST['shp_service'], 
                  'service_id' => $_POST['shp_service_id'], 
                  'wmr' => round($_POST['OutSum'], 2), 
                  'array' => serialize($_POST),
                  'paytype' => 'robokassa',
                  'method' => 'ROBOKASSA-' . $_POST['PaymentMethod'],
                  'resp' => 'OK'. $_POST['InvId']
                  );
                  
  
  /**
  * При успешной операции выполняем запись покупки result
  */
  if ($robox_r1 == $robox_r2) {
    $pay_result = 'result';
  } 
  
  /**
  * Если купили то перекидываем на валидный адрес 
  * страницы успешной оплаты success
  */
  elseif ($robox_s1 == $robox_s2) {  
     $pay_result = 'success';
  }
  
  /**
  * Если оплата не прошла, то на страницу ошибки fail
  */
  else {
     $pay_result = 'fail';
  }
}